Rem  $Header: xmlattrcover.sql 02-apr-00.00:24:59 kkarun Exp $ 
Rem
Rem  Copyright (c) Oracle Corporation 1999, 2000. All Rights Reserved. 
Rem
Rem  DESCRIPTION
Rem
Rem  NOTES
Rem 
Rem 
Rem  MODIFIED    (MM/DD/YY)
Rem  kkarun      04/02/00 - change id to number
Rem  nramakri    09/17/99 - Creation
Rem

create or replace package xmlattrcover is

FUNCTION getName(id number) return varchar2 
is language java
name 'oracle.xml.parser.plsql.XMLAttrCover.getName(int) returns java.lang.String';

FUNCTION getQualifiedName(id number) return varchar2 
is language java
name 'oracle.xml.parser.plsql.XMLAttrCover.getQualifiedName(int) 
	returns java.lang.String';

FUNCTION getNamespace(id number) return varchar2 
is language java
name 'oracle.xml.parser.plsql.XMLAttrCover.getNamespace(int) returns java.lang.String';

FUNCTION getLocalName(id number) return varchar2 
is language java
name 'oracle.xml.parser.plsql.XMLAttrCover.getLocalName(int) returns java.lang.String';

FUNCTION getExpandedName(id number) return varchar2 
is language java
name 'oracle.xml.parser.plsql.XMLAttrCover.getExpandedName(int) 
	returns java.lang.String';

FUNCTION getValue(id number) return varchar2 
is language java
name 'oracle.xml.parser.plsql.XMLAttrCover.getValue(int) returns java.lang.String';

PROCEDURE setValue(id number, value varchar2) 
is language java
name 'oracle.xml.parser.plsql.XMLAttrCover.setValue(int, java.lang.String)';

FUNCTION getSpecified(id number) return number
is language java
name 'oracle.xml.parser.plsql.XMLAttrCover.getSpecified(int) returns boolean';

end;
/
show errors;
